package co.pixelbeard.theanfieldwrap.signUp;

import com.dpizarro.uipicker.library.picker.PickerUI;

/**
 * Created by Michael Stoddart
 * 27/12/2018.
 */
public interface SignUpFragmentListener {


    void setSignUpNameFrag();

    void setSignUpEmailPasswordFrag();

    void setSignUpAuthCodeFrag();

    void startHomeActivity();

    void startLoginActivity();

    void setFirstName(String firstName);

    void setLastName(String lastName);

    void setUserName(String userName);

    void setEmail(String email);

    void setPassword(String password);

    void setCountry(String country);

    void enableButton();

    void disableButton();

    void registerUser();

    void convertGuestToFull();

    void showLoader(String text);

    void hideLoader();

    boolean isFromGuest();

    void finishSignUpActivity();

    void showNoInternetHeader();

    void hideNoInternetHeader();

    void showCountriesPicker(PickerUI.PickerUIItemClickListener listener);

}
